/*
 * $Id: context.h,v 1.16 2003/01/31 05:52:05 andrewtaylor Exp $
 */

#ifndef CONTEXT_H
#define CONTEXT_H

struct _SaveGame;
struct _Map;
struct _Person;

#define CONV_BUFFERLEN 16

typedef struct _Conversation {
    const struct _Person *talker;
    int state;
    char buffer[CONV_BUFFERLEN];
    int item;
    int quant;
} Conversation;

typedef enum {
    STATS_PARTY_OVERVIEW,
    STATS_CHAR1,
    STATS_CHAR2,
    STATS_CHAR3,
    STATS_CHAR4,
    STATS_CHAR5, 
    STATS_CHAR6, 
    STATS_CHAR7,
    STATS_CHAR8,
    STATS_WEAPONS,
    STATS_ARMOR,
    STATS_EQUIPMENT,
    STATS_ITEMS,
    STATS_REAGENTS,
    STATS_MIXTURES
} StatsItem;

typedef enum {
    AURA_NONE,
    AURA_HORN,
    AURA_JINX,
    AURA_NEGATE,
    AURA_PROTECTION,
    AURA_QUICKNESS
} Aura;

typedef struct _Context {
    struct _SaveGame *saveGame;
    struct _Context *parent;
    struct _Map *map;
    Conversation conversation;
    int line, col;
    StatsItem statsItem;
    int moonPhase;
    int windDirection;
    int windCounter;
    Aura aura;
    int auraDuration;
    int horseSpeed;
} Context;

extern Context *c;

#endif
